申込者一覧取得
curl --request GET \
--url https://api.utage-system.com/v1/events/{project_id}/applicants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/applicants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/events/{project_id}/applicants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/applicants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/applicants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/events/{project_id}/applicants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/applicants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"schedule": {
"id": "<string>",
"start_datetime": "<string>",
"member": {
"id": "<string>",
"name": "<string>"
}
},
"name": "<string>",
"mail": "<string>",
"phone": "<string>",
"line_friend": {
"id": "<string>",
"display_name": "<string>"
},
"status_participation": "reserved",
"status_contract": "unregistered",
"is_test_mode": true,
"created_at": "<string>"
}
],
"meta": {
"current_page": 123,
"per_page": 123,
"total": 123
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "イベントが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "入力内容に誤りがあります",
"details": {
"date_from": [
"「YYYY-MM-DD」形式で指定してください"
]
}
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}申込者
申込者一覧取得
イベントの申込者の一覧を、イベント配下の全日程を横断して取得します(削除した日程の申込者も含みます)。 並び順は、個別相談・個別予約タイプでは日程の開始日時の昇順、セミナー・説明会タイプでは申込日時の降順です。
絞り込みは日程ID・参加状況・成約状況・メールアドレス(部分一致)・お名前(お名前またはフリガナの部分一致)・日程の開始日(date_from / date_to)で行えます。
line_display_name(LINE登録名の部分一致)は申込方式が「LINEのみ」のイベントでだけ有効で、それ以外のイベントでは無視されます。
存在しない日程IDや一覧に無い状況の値を指定した場合は0件になります。date_from / date_to が YYYY-MM-DD 形式でない場合は 422(validation_error)です。
一覧にはお名前・メールアドレス・電話番号・LINE友だちと状況だけが含まれます。申込者項目・住所・入金情報は詳細取得(GET /events/{project_id}/applicants/{applicant_id})で参照してください。
申込者一覧取得
curl --request GET \
--url https://api.utage-system.com/v1/events/{project_id}/applicants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/applicants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/events/{project_id}/applicants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/applicants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/applicants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/events/{project_id}/applicants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/applicants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"schedule": {
"id": "<string>",
"start_datetime": "<string>",
"member": {
"id": "<string>",
"name": "<string>"
}
},
"name": "<string>",
"mail": "<string>",
"phone": "<string>",
"line_friend": {
"id": "<string>",
"display_name": "<string>"
},
"status_participation": "reserved",
"status_contract": "unregistered",
"is_test_mode": true,
"created_at": "<string>"
}
],
"meta": {
"current_page": 123,
"per_page": 123,
"total": 123
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "イベントが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "入力内容に誤りがあります",
"details": {
"date_from": [
"「YYYY-MM-DD」形式で指定してください"
]
}
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}GET
https://api.utage-system.com/v1/events/{project_id}/applicants